This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875398 - [abrt] java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17: strchr: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java was killed by signal 11 (SIGSEGV)
[abrt] java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17: strchr: Process /usr/lib/jvm/ja...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Domurad
Fedora Extras Quality Assurance
abrt_hash:07eb6b3663c67b56b10fef236bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-10 18:41 EST by Paul Wouters
Modified: 2012-11-15 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 11:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (723 bytes, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: environ (3.12 KB, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: backtrace (6.59 KB, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: cgroup (127 bytes, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: maps (4.63 KB, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: dso_list (1.07 KB, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: var_log_messages (356 bytes, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details
File: open_fds (105 bytes, text/plain)
2012-11-10 18:41 EST, Paul Wouters
no flags Details

  None (edit)
Description Paul Wouters 2012-11-10 18:41:21 EST
Description of problem:
I mispasted and issued:

java -jar -S -r 
Segmentation fault (core dumped)


Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        java -jar -S -r
crash_function: strchr
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (4 frames)
: #0 strchr at ../sysdeps/x86_64/multiarch/strchr.S:135
: #1 JLI_WildcardExpandClasspath at ../../../src/share/bin/wildcard.c:409
: #2 SetClassPath at ../../../src/share/bin/java.c:698
: #3 JLI_Launch at ../../../src/share/bin/java.c:285
Comment 1 Paul Wouters 2012-11-10 18:41:24 EST
Created attachment 642470 [details]
File: core_backtrace
Comment 2 Paul Wouters 2012-11-10 18:41:27 EST
Created attachment 642471 [details]
File: environ
Comment 3 Paul Wouters 2012-11-10 18:41:31 EST
Created attachment 642472 [details]
File: backtrace
Comment 4 Paul Wouters 2012-11-10 18:41:33 EST
Created attachment 642473 [details]
File: limits
Comment 5 Paul Wouters 2012-11-10 18:41:34 EST
Created attachment 642474 [details]
File: cgroup
Comment 6 Paul Wouters 2012-11-10 18:41:36 EST
Created attachment 642475 [details]
File: maps
Comment 7 Paul Wouters 2012-11-10 18:41:38 EST
Created attachment 642476 [details]
File: dso_list
Comment 8 Paul Wouters 2012-11-10 18:41:41 EST
Created attachment 642477 [details]
File: var_log_messages
Comment 9 Paul Wouters 2012-11-10 18:41:43 EST
Created attachment 642478 [details]
File: open_fds
Comment 10 Adam Domurad 2012-11-15 11:24:30 EST
This was fixed in the repository (http://icedtea.classpath.org/hg/icedtea7-forest/jdk/rev/6bd9089ebe96) and will be fixed for the next release.

Note You need to log in before you can comment on or make changes to this bug.